| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
MinimalBitmaskType Class Reference
eProsima Fast DDS API Reference » DDS Public API » DDS TypeObject API

This class represents the structure MinimalBitmaskType defined by the user in the IDL file. More...

`#include <dds_xtypes_typeobject.hpp>`

## Public Member Functions

eProsima_user_DllExport | MinimalBitmaskType ()
| Default constructor.
eProsima_user_DllExport | ~MinimalBitmaskType ()
| Default destructor.
eProsima_user_DllExport | MinimalBitmaskType (const MinimalBitmaskType &x)
| Copy constructor.
eProsima_user_DllExport | MinimalBitmaskType (MinimalBitmaskType &&x) noexcept
| Move constructor.
eProsima_user_DllExport MinimalBitmaskType & | operator= (const MinimalBitmaskType &x)
| Copy assignment.
eProsima_user_DllExport MinimalBitmaskType & | operator= (MinimalBitmaskType &&x) noexcept
| Move assignment.
eProsima_user_DllExport bool | operator== (const MinimalBitmaskType &x) const
| Comparison operator.
eProsima_user_DllExport bool | operator!= (const MinimalBitmaskType &x) const
| Comparison operator.
eProsima_user_DllExport void | bitmask_flags (const BitmaskTypeFlag &_bitmask_flags)
| This function copies the value in member bitmask_flags.
eProsima_user_DllExport void | bitmask_flags (BitmaskTypeFlag &&_bitmask_flags)
| This function moves the value in member bitmask_flags.
eProsima_user_DllExport const BitmaskTypeFlag & | bitmask_flags () const
| This function returns a constant reference to member bitmask_flags.
eProsima_user_DllExport BitmaskTypeFlag & | bitmask_flags ()
| This function returns a reference to member bitmask_flags.
eProsima_user_DllExport void | header (const MinimalBitmaskHeader &_header)
| This function copies the value in member header.
eProsima_user_DllExport void | header (MinimalBitmaskHeader &&_header)
| This function moves the value in member header.
eProsima_user_DllExport const MinimalBitmaskHeader & | header () const
| This function returns a constant reference to member header.
eProsima_user_DllExport MinimalBitmaskHeader & | header ()
| This function returns a reference to member header.
eProsima_user_DllExport void | flag_seq (const MinimalBitflagSeq &_flag_seq)
| This function copies the value in member flag_seq.
eProsima_user_DllExport void | flag_seq (MinimalBitflagSeq &&_flag_seq)
| This function moves the value in member flag_seq.
eProsima_user_DllExport const MinimalBitflagSeq & | flag_seq () const
| This function returns a constant reference to member flag_seq.
eProsima_user_DllExport MinimalBitflagSeq & | flag_seq ()
| This function returns a reference to member flag_seq.

## Detailed Description

This class represents the structure MinimalBitmaskType defined by the user in the IDL file.

## Constructor & Destructor Documentation

## ◆ MinimalBitmaskType() [1/3]

eProsima_user_DllExport MinimalBitmaskType | ( |  | ) |

inline

Default constructor.

## ◆ ~MinimalBitmaskType()

eProsima_user_DllExport ~MinimalBitmaskType | ( |  | ) |

inline

Default destructor.

## ◆ MinimalBitmaskType() [2/3]

eProsima_user_DllExport MinimalBitmaskType | ( | const MinimalBitmaskType & | x | ) |

inline

Copy constructor.

Parameters

  x | Reference to the object MinimalBitmaskType that will be copied.

## ◆ MinimalBitmaskType() [3/3]

eProsima_user_DllExport MinimalBitmaskType | ( | MinimalBitmaskType && | x | ) |

inline noexcept

Move constructor.

Parameters

  x | Reference to the object MinimalBitmaskType that will be copied.

## Member Function Documentation

## ◆ bitmask_flags() [1/4]

eProsima_user_DllExport BitmaskTypeFlag & bitmask_flags | ( |  | ) |

inline

This function returns a reference to member bitmask_flags.

Returns
  Reference to member bitmask_flags

## ◆ bitmask_flags() [2/4]

eProsima_user_DllExport const BitmaskTypeFlag & bitmask_flags | ( |  | ) | const

inline

This function returns a constant reference to member bitmask_flags.

Returns
  Constant reference to member bitmask_flags

## ◆ bitmask_flags() [3/4]

eProsima_user_DllExport void bitmask_flags | ( | BitmaskTypeFlag && | _bitmask_flags | ) |

inline

This function moves the value in member bitmask_flags.

Parameters

  _bitmask_flags | New value to be moved in member bitmask_flags

## ◆ bitmask_flags() [4/4]

eProsima_user_DllExport void bitmask_flags | ( | const BitmaskTypeFlag & | _bitmask_flags | ) |

inline

This function copies the value in member bitmask_flags.

Parameters

  _bitmask_flags | New value to be copied in member bitmask_flags

## ◆ flag_seq() [1/4]

eProsima_user_DllExport MinimalBitflagSeq & flag_seq | ( |  | ) |

inline

This function returns a reference to member flag_seq.

Returns
  Reference to member flag_seq

## ◆ flag_seq() [2/4]

eProsima_user_DllExport const MinimalBitflagSeq & flag_seq | ( |  | ) | const

inline

This function returns a constant reference to member flag_seq.

Returns
  Constant reference to member flag_seq

## ◆ flag_seq() [3/4]

eProsima_user_DllExport void flag_seq | ( | const MinimalBitflagSeq & | _flag_seq | ) |

inline

This function copies the value in member flag_seq.

Parameters

  _flag_seq | New value to be copied in member flag_seq

## ◆ flag_seq() [4/4]

eProsima_user_DllExport void flag_seq | ( | MinimalBitflagSeq && | _flag_seq | ) |

inline

This function moves the value in member flag_seq.

Parameters

  _flag_seq | New value to be moved in member flag_seq

## ◆ header() [1/4]

eProsima_user_DllExport MinimalBitmaskHeader & header | ( |  | ) |

inline

This function returns a reference to member header.

Returns
  Reference to member header

## ◆ header() [2/4]

eProsima_user_DllExport const MinimalBitmaskHeader & header | ( |  | ) | const

inline

This function returns a constant reference to member header.

Returns
  Constant reference to member header

## ◆ header() [3/4]

eProsima_user_DllExport void header | ( | const MinimalBitmaskHeader & | _header | ) |

inline

This function copies the value in member header.

Parameters

  _header | New value to be copied in member header

## ◆ header() [4/4]

eProsima_user_DllExport void header | ( | MinimalBitmaskHeader && | _header | ) |

inline

This function moves the value in member header.

Parameters

  _header | New value to be moved in member header

## ◆ operator!=()

eProsima_user_DllExport bool operator!= | ( | const MinimalBitmaskType & | x | ) | const

inline

Comparison operator.

Parameters

  x | MinimalBitmaskType object to compare.

## ◆ operator=() [1/2]

eProsima_user_DllExport MinimalBitmaskType & operator= | ( | const MinimalBitmaskType & | x | ) |

inline

Copy assignment.

Parameters

  x | Reference to the object MinimalBitmaskType that will be copied.

## ◆ operator=() [2/2]

eProsima_user_DllExport MinimalBitmaskType & operator= | ( | MinimalBitmaskType && | x | ) |

inline noexcept

Move assignment.

Parameters

  x | Reference to the object MinimalBitmaskType that will be copied.

## ◆ operator==()

eProsima_user_DllExport bool operator== | ( | const MinimalBitmaskType & | x | ) | const

inline

Comparison operator.

Parameters

  x | MinimalBitmaskType object to compare.

The documentation for this class was generated from the following file:

- include/fastdds/dds/xtypes/type_representation/detail/dds_xtypes_typeobject.hpp